## GeditView GeditView — A document view |

## Functions

GtkWidget * | gedit_view_new ()

## Signals

void | drop-uris | Action

## Types and Values

| GeditViewPrivate
struct | GeditView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTextView
                        ╰── GtkSourceView
                            ╰── TeplView
                                ╰── GeditView

## Implemented Interfaces

GeditView implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

GeditView is a subclass of TeplView and is the GtkWidget showing a document.

It contains a GeditDocument which can be retrieved with `gtk_text_view_get_buffer()`.

## Functions

### gedit_view_new ()

    GtkWidget *
    gedit_view_new (GeditDocument *doc);

Creates a new GeditView object displaying `doc` . `doc` cannot be `NULL`.

#### Parameters

doc | a GeditDocument. |

#### Returns

a new GeditView.

[transfer floating]

## Types and Values

### GeditViewPrivate

    typedef struct _GeditViewPrivate GeditViewPrivate;

### struct GeditView

    struct GeditView;

## Signal Details

### The `“drop-uris”` signal

    void
    user_function (GeditView *view,
                   GStrv      uri_list,
                   gpointer   user_data)

The “drop-uris” signal allows plugins to intercept the default drag-and-drop behaviour of 'text/uri-list'. GeditView handles drag-and-drop in the default handlers of “drag-drop”, “drag-motion” and “drag-data-received”. The view emits the “drop-uris” signal from “drag-data-received” if valid URIs have been dropped. Plugins should connect to “drag-motion”, “drag-drop” and “drag-data-received” to change this default behaviour. They should NOT use this signal because this will not prevent gedit from loading the URI.

#### Parameters

view | a GeditView. |
uri_list | a `NULL`-terminated list of URIs. |
user_data | user data set when the signal handler was connected. |

Flags: Action